Subject: Re: bug#62847: 29.0.90; Propertized space in Org Agenda's mode-name

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Apr 2023 13:24:05 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 15 Apr 2023 10:02:34 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'm afraid I don't understand this bug report, and cannot reproduce
> > what I thought I understood from it.  Any chance of presenting a
> > recipe starting from "emacs -Q", for someone who doesn't use
> > org-agenda?
> 
> 1. emacs -Q
> 2. Create and open a new Org file with the following contents:
> 
> * TODO Task
> SCHEDULED: <2023-04-14 Fri>
> 
> 3. M-x org-agenda <RET> < a
> 4. M-: mode-name <RET>
> 5. Observe the third element (" ") in the list propertized unexpectedly,
> despite `org-agenda-set-mode-name' using " " without properties.

Thanks, but it isn't propertized here, I see a literal " " with no
properties.

What happens if you display mode-name inside org-agenda-set-mode-name:
does it have the properties there already?